"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTestImage256x256 = exports.getTestImage128x128 = exports.getTestImage64x64 = exports.getTestImage48x48 = exports.getTestImage32x32 = exports.getTestImage24x24 = exports.getTestImage16x16 = void 0;
var tslib_1 = require("tslib");
var fs = tslib_1.__importStar(require("fs"));
var path = tslib_1.__importStar(require("path"));
var PROJECT_DIR = path.join(__dirname, '/../');
var TEST_IMAGES_DIR = path.join(PROJECT_DIR, 'test-images/');
var TEST_IMAGE_16 = path.join(TEST_IMAGES_DIR, '16x16.png');
var TEST_IMAGE_24 = path.join(TEST_IMAGES_DIR, '24x24.png');
var TEST_IMAGE_32 = path.join(TEST_IMAGES_DIR, '32x32.png');
var TEST_IMAGE_48 = path.join(TEST_IMAGES_DIR, '48x48.png');
var TEST_IMAGE_64 = path.join(TEST_IMAGES_DIR, '64x64.png');
var TEST_IMAGE_128 = path.join(TEST_IMAGES_DIR, '128x128.png');
var TEST_IMAGE_256 = path.join(TEST_IMAGES_DIR, '256x256.png');
var getTestImage16x16 = function () { return fs.readFileSync(TEST_IMAGE_16); };
exports.getTestImage16x16 = getTestImage16x16;
var getTestImage24x24 = function () { return fs.readFileSync(TEST_IMAGE_24); };
exports.getTestImage24x24 = getTestImage24x24;
var getTestImage32x32 = function () { return fs.readFileSync(TEST_IMAGE_32); };
exports.getTestImage32x32 = getTestImage32x32;
var getTestImage48x48 = function () { return fs.readFileSync(TEST_IMAGE_48); };
exports.getTestImage48x48 = getTestImage48x48;
var getTestImage64x64 = function () { return fs.readFileSync(TEST_IMAGE_64); };
exports.getTestImage64x64 = getTestImage64x64;
var getTestImage128x128 = function () {
    return fs.readFileSync(TEST_IMAGE_128);
};
exports.getTestImage128x128 = getTestImage128x128;
var getTestImage256x256 = function () {
    return fs.readFileSync(TEST_IMAGE_256);
};
exports.getTestImage256x256 = getTestImage256x256;
//# sourceMappingURL=testUtils.js.map