import { PNG } from 'pngjs';
export declare enum ColorType {
    Grayscale = 0,
    RGB = 2,
    PaletteIndex = 3,
    GrayscaleAlpha = 4,
    RGBAlpha = 6
}
export interface PNGMetadata {
    readonly width: number;
    readonly height: number;
    readonly depth: number;
    readonly interlace: boolean;
    readonly color: boolean;
    readonly alpha: boolean;
    readonly bpp: number;
    readonly colorType: ColorType;
}
export interface PNGWithMetadata {
    image: PNG;
    metadata: PNGMetadata;
}
