/// <reference types="node" />
interface Options {
    readonly resize: boolean;
    readonly sizes: number[];
}
declare type PartialOptions = {
    [P in keyof Options]?: Options[P];
};
export declare function generateIco(imageBuffers: Buffer | Buffer[], options?: PartialOptions): Promise<Buffer>;
export default generateIco;
