import { __awaiter, __generator } from "tslib";
import { PNG } from 'pngjs';
export function parseBufferToPng(buffer, options) {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            return [2, new Promise(function (resolve, reject) {
                    var image = new PNG(options);
                    var pngMetadata;
                    image.on('metadata', function (metadata) {
                        pngMetadata = metadata;
                    });
                    image.parse(buffer, function (err, data) {
                        if (err == null) {
                            resolve({
                                image: image,
                                metadata: pngMetadata,
                            });
                        }
                        else {
                            reject(err);
                        }
                    });
                })];
        });
    });
}
export function parseAllBuffersToPngs(buffers, options) {
    return __awaiter(this, void 0, void 0, function () {
        var _this = this;
        return __generator(this, function (_a) {
            return [2, Promise.all(buffers.map(function (b) { return __awaiter(_this, void 0, void 0, function () { return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4, parseBufferToPng(b, options)];
                        case 1: return [2, _a.sent()];
                    }
                }); }); }))];
        });
    });
}
//# sourceMappingURL=parsePng.js.map