/// <reference types="node" />
declare type ResizeOptions = {
    width: number;
    height?: number;
} | {
    width?: number;
    height: number;
} | {
    width: number;
    height: number;
};
export declare function resizePng(imageBuffer: Buffer, options: ResizeOptions): Promise<Buffer>;
export declare function resizeLargestPng(images: Buffer[], imageSizes: number[]): Promise<Buffer[]>;
export {};
